Get a user
curl --request GET \
--url https://api.guild.ai/v1/users/{user_id_or_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.guild.ai/v1/users/{user_id_or_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.guild.ai/v1/users/{user_id_or_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.guild.ai/v1/users/{user_id_or_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.guild.ai/v1/users/{user_id_or_name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.guild.ai/v1/users/{user_id_or_name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.guild.ai/v1/users/{user_id_or_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"is_operator": true,
"notification_email_level": "NONE",
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"hubspot_synced_at": "2023-11-07T05:31:56Z",
"linkedin_url": "<string>",
"threads_url": "<string>",
"username_set_at": "2023-11-07T05:31:56Z",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"type": "user"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
OAuth 2.0 authorization code flow with PKCE (S256). Discovery: https://api.guild.ai/.well-known/oauth-authorization-server.
Path Parameters
Response
Successful response
100The unique name identifying this account.
100A cached version of the forks count. Might not be up to date.
A cached version of the forks count for public agents. Might not be up to date.
A cached version of the installs count. Might not be up to date.
A cached version of the installs count for public agents. Might not be up to date.
A cached version of the likes count. Might not be up to date.
A cached version of the likes count for public agents. Might not be up to date.
Whether or not the user is a Guild employee (or operator). BE VERY CAREFUL WITH THIS.
NONE = no emails, IMPORTANT = invitations and agent-ask only, ALL = all notification types.
NONE, IMPORTANT, ALL 255255255Set when an operator closes the account. A closed user cannot start a login session by any method.
Set when an admin asks support to close the account, so a repeated request does not email support again.
255The display name of the account.
100255255255Set when the user picks their username during onboarding. Once set, the username cannot be changed.
255255255Account type, always "user"
user curl --request GET \
--url https://api.guild.ai/v1/users/{user_id_or_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.guild.ai/v1/users/{user_id_or_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.guild.ai/v1/users/{user_id_or_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.guild.ai/v1/users/{user_id_or_name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.guild.ai/v1/users/{user_id_or_name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.guild.ai/v1/users/{user_id_or_name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.guild.ai/v1/users/{user_id_or_name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"cached_forks_count": 123,
"cached_forks_public_count": 123,
"cached_installs_count": 123,
"cached_installs_public_count": 123,
"cached_likes_count": 123,
"cached_likes_public_count": 123,
"is_operator": true,
"notification_email_level": "NONE",
"avatar_url": "<string>",
"banner_url": "<string>",
"bio": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closure_requested_at": "2023-11-07T05:31:56Z",
"closure_requested_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discord_url": "<string>",
"full_name": "<string>",
"github_url": "<string>",
"hubspot_synced_at": "2023-11-07T05:31:56Z",
"linkedin_url": "<string>",
"threads_url": "<string>",
"username_set_at": "2023-11-07T05:31:56Z",
"website_url": "<string>",
"x_url": "<string>",
"youtube_url": "<string>",
"type": "user"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}